.\" $NetBSD: midiplay.1,v 1.17 2006/07/02 01:48:51 wiz Exp $
.\" Copyright (c) 1998 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Author: Lennart Augustsson
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 30, 2006
.Dt MIDIPLAY 1
.Os
.Sh NAME
.Nm midiplay
.Nd play MIDI and RMID files
.Sh SYNOPSIS
.Nm
.Op Fl d Ar devno
.Op Fl f Ar file
.Op Fl l
.Op Fl m
.Op Fl p Ar pgm
.Op Fl q
.Op Fl t Ar tempo
.Op Fl v
.Op Fl x
.Op Ar file ...
.Sh DESCRIPTION
The
.Nm
command plays MIDI and RMID files using the sequencer device.
If no file name is given it will play from standard input, otherwise
it will play the named files.
.Pp
RMID files are Standard MIDI Files embedded in a RIFF container and
can usually be found with the
.Sq rmi
extension.
They contain some
additional information in other chunks which are not parsed by
.Nm
yet.
.Pp
The program accepts the following options:
.Bl -tag -width Fl
.It Fl d Ar devno
specifies the number of the MIDI device used for output (as listed
by the
.Fl l
flag).
There is no way at present to have
.Nm
map playback to more than one device.
The default is device is given by environment variable
.Ev MIDIUNIT .
.It Fl f Ar file
specifies the name of the sequencer device.
.It Fl l
list the possible devices without playing anything.
.It Fl m
show MIDI file meta events (copyright, lyrics, etc).
.It Fl p Ar pgm
force all channels to play with the single specified
program (or instrument patch, range 1-128).
Program change events in the file will be suppressed.
There is no way at present to have
.Nm
selectively map channels or instruments.
.It Fl q
specifies that the MIDI file should not be played, just parsed.
.It Fl t Ar tempo-adjust
specifies an adjustment (in percent) to the tempi recorded in the file.
The default of 100 plays as specified in the file, 50 halves every tempo,
and so on.
.It Fl v
be verbose.
If the flag is repeated the verbosity increases.
.It Fl x
play a small sample sound instead of the a file.
.El
.Pp
A file containing no tempo indication will be played as if it specified
150 beats per minute.
You have been warned.
.Sh ENVIRONMENT
.Bl -tag -width MIDIUNIT
.It Ev MIDIUNIT
the default number of the MIDI device used for output.
The default is 0.
.El
.Sh FILES
.Bl -tag -width /dev/music
.It Pa /dev/music
MIDI sequencer device
.El
.Sh SEE ALSO
.Xr midi 4
.Sh HISTORY
The
.Nm
command first appeared in
.Nx 1.4 .
.Sh BUGS
It may take a long while before playing stops when
.Nm
is interrupted, as the data already buffered in the sequencer will contain
timing events.
